Bug 165377 - [maintainer update] security/scamp: scamp-5.3a > 5.3b
Summary: [maintainer update] security/scamp: scamp-5.3a > 5.3b
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Carlo Strub
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-21 21:30 UTC by Gerard Seibert
Modified: 2012-02-24 20:10 UTC (History)
0 users

See Also:


Attachments
file.diff (4.77 KB, patch)
2012-02-21 21:30 UTC, Gerard Seibert
no flags Details | Diff
scamp-diff.txt (2.24 KB, text/plain)
2012-02-23 19:29 UTC, Gerard Seibert
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gerard Seibert 2012-02-21 21:30:15 UTC
Update of the "security/scamp" port.

Fix: Patch attached with submission follows:
Comment 1 Michael Scheidell freebsd_committer 2012-02-22 14:24:10 UTC
Any specific reason you updated the minimum PORTVERSION's for rundepends 
for bash,clamav,gnupg,rsync,wget and curl?
If these are needed for scamp 5.3b to function, then it seems ok to 
force these dependencies.

For other than functionality, what happens, is that if someone upgrades 
(make deinstall reinstall, porttools upgrade), it will fail, most likely 
if they have older packages.

I also see an extraneous file, (i think), ../scamp/scamp.diff?

Maybe explain to whoever ends up committing this, and for the logs, why 
you want to force rebuilds of all of those downlevel ports.
-- 
Michael Scheidell, CTO
o: 561-999-5000
d: 561-948-2259
 >*| *SECNAP Network Security Corporation

    * Best Mobile Solutions Product of 2011
    * Best Intrusion Prevention Product
    * Hot Company Finalist 2011
    * Best Email Security Product
    * Certified SNORT Integrator
Comment 2 Gerard Seibert 2012-02-23 18:14:15 UTC
1) The latest version of clamav has improved capabilities for third
party signatures, besides fixing some bugs, enhancements, etcetera.
There really is no reason to use an older version. In fact, I believe
versions < 0.96.4 (I forget which exactly) do not handle certain third
party formats correctly. Since a user could be downloading this script
for the first time with a potentially older version of clamav, I
thought it best to insure that they have the latest one available.
Since only a few packages are involved, and they are quite small
actually, it just seemed logical (to me anyway) to have the latest
version of the required applications available. Actually, "Bash" has to
be >=3.x also. The script is going to be using "named" arrays in a
future release, so version >=4 will be required then anyway.

2) You are correct, there is an extraneous "diff" file present. Two of
us were working on this at the same time; therefore, doubling the
chances of a mistake. I can either fix the port on my side and submit a
new "diff" or they can correct it there. I'll wait until someone
contacts me.

Thanks!

-- 
Gerard รข
gerard@seibercom.net
Comment 3 Gerard Seibert 2012-02-23 19:29:47 UTC
The original "diff" I submitted contains an extraneous "diff" file. I
have attached a corrected one.

-- 
Gerard Seibert
Comment 4 Carlo Strub freebsd_committer 2012-02-24 18:43:38 UTC
Responsible Changed
From-To: freebsd-ports-bugs->cs

I'll take it.
Comment 5 dfilter service freebsd_committer 2012-02-24 20:00:55 UTC
cs          2012-02-24 20:00:35 UTC

  FreeBSD ports repository

  Modified files:
    security/scamp       Makefile distinfo 
    security/scamp/files default.sample 
  Log:
  Update to 5.3b
  
  PR:             ports/165377
  Submitted by:   Gerard Seibert <gerard@seibercom.net>
  Approved by:    glarkin@ (mentor, implicit)
  
  Revision  Changes    Path
  1.14      +8 -8      ports/security/scamp/Makefile
  1.11      +2 -2      ports/security/scamp/distinfo
  1.6       +2 -2      ports/security/scamp/files/default.sample
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Carlo Strub freebsd_committer 2012-02-24 20:00:56 UTC
State Changed
From-To: open->closed

Committed. Thank you very much.